# Enum Class VulkanPipelineStageFlag

java.lang.Object
java.lang.Enum<VulkanPipelineStageFlag>
com.io7m.jcoronado.api.VulkanPipelineStageFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskLongType, Serializable, Comparable<VulkanPipelineStageFlag>, Constable`

public enum VulkanPipelineStageFlag extends Enum<VulkanPipelineStageFlag> implements VulkanEnumBitmaskLongType
Bitmask specifying pipeline stages.

See Also:
  - "VkPipelineStageFlagBits2"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_PIPELINE_STAGE_ALL_COMMANDS_BIT`
  VK_PIPELINE_STAGE_2_ALL_COMMANDS_BIT
  `VK_PIPELINE_STAGE_ALL_GRAPHICS_BIT`
  VK_PIPELINE_STAGE_2_ALL_GRAPHICS_BIT
  `VK_PIPELINE_STAGE_ALL_TRANSFER_BIT`
  VK_PIPELINE_STAGE_2_ALL_TRANSFER_BIT
  `VK_PIPELINE_STAGE_BLIT_BIT`
  VK_PIPELINE_STAGE_2_BLIT_BIT
  `VK_PIPELINE_STAGE_BOTTOM_OF_PIPE_BIT`
  VK_PIPELINE_STAGE_BOTTOM_OF_PIPE_BIT
  `VK_PIPELINE_STAGE_CLEAR_BIT`
  VK_PIPELINE_STAGE_2_CLEAR_BIT
  `VK_PIPELINE_STAGE_CLEAR_BIT_KHR`
  VK_PIPELINE_STAGE_2_CLEAR_BIT_KHR
  `VK_PIPELINE_STAGE_COLOR_ATTACHMENT_OUTPUT_BIT`
  VK_PIPELINE_STAGE_2_COLOR_ATTACHMENT_OUTPUT_BIT
  `VK_PIPELINE_STAGE_COMMAND_PREPROCESS_BIT_EXT`
  VK_PIPELINE_STAGE_2_COMMAND_PREPROCESS_BIT_EXT
  `VK_PIPELINE_STAGE_COMPUTE_SHADER_BIT`
  VK_PIPELINE_STAGE_2_COMPUTE_SHADER_BIT
  `VK_PIPELINE_STAGE_COPY_BIT`
  VK_PIPELINE_STAGE_2_COPY_BIT
  `VK_PIPELINE_STAGE_DRAW_INDIRECT_BIT`
  VK_PIPELINE_STAGE_2_DRAW_INDIRECT_BIT
  `VK_PIPELINE_STAGE_EARLY_FRAGMENT_TESTS_BIT`
  VK_PIPELINE_STAGE_2_EARLY_FRAGMENT_TESTS_BIT
  `VK_PIPELINE_STAGE_FRAGMENT_SHADER_BIT`
  VK_PIPELINE_STAGE_2_FRAGMENT_SHADER_BIT
  `VK_PIPELINE_STAGE_GEOMETRY_SHADER_BIT`
  VK_PIPELINE_STAGE_2_GEOMETRY_SHADER_BIT
  `VK_PIPELINE_STAGE_HOST_BIT`
  VK_PIPELINE_STAGE_2_HOST_BIT
  `VK_PIPELINE_STAGE_INDEX_INPUT_BIT`
  VK_PIPELINE_STAGE_2_INDEX_INPUT_BIT
  `VK_PIPELINE_STAGE_LATE_FRAGMENT_TESTS_BIT`
  VK_PIPELINE_STAGE_2_LATE_FRAGMENT_TESTS_BIT
  `VK_PIPELINE_STAGE_NONE`
  VK_PIPELINE_STAGE_2_NONE
  `VK_PIPELINE_STAGE_PRE_RASTERIZATION_SHADERS_BIT`
  VK_PIPELINE_STAGE_2_PRE_RASTERIZATION_SHADERS_BIT
  `VK_PIPELINE_STAGE_RESOLVE_BIT`
  VK_PIPELINE_STAGE_2_RESOLVE_BIT
  `VK_PIPELINE_STAGE_TESSELLATION_CONTROL_SHADER_BIT`
  VK_PIPELINE_STAGE_2_TESSELLATION_CONTROL_SHADER_BIT
  `VK_PIPELINE_STAGE_TESSELLATION_EVALUATION_SHADER_BIT`
  VK_PIPELINE_STAGE_2_TESSELLATION_EVALUATION_SHADER_BIT
  `VK_PIPELINE_STAGE_TOP_OF_PIPE_BIT`
  VK_PIPELINE_STAGE_TOP_OF_PIPE_BIT
  `VK_PIPELINE_STAGE_TRANSFER_BIT`
  VK_PIPELINE_STAGE_2_TRANSFER_BIT
  `VK_PIPELINE_STAGE_VERTEX_ATTRIBUTE_INPUT_BIT`
  VK_PIPELINE_STAGE_2_VERTEX_ATTRIBUTE_INPUT_BIT
  `VK_PIPELINE_STAGE_VERTEX_INPUT_BIT`
  VK_PIPELINE_STAGE_2_VERTEX_INPUT_BIT
  `VK_PIPELINE_STAGE_VERTEX_SHADER_BIT`
  VK_PIPELINE_STAGE_2_VERTEX_SHADER_BIT

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `value()`
  `static VulkanPipelineStageFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanPipelineStageFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_PIPELINE_STAGE_ALL_COMMANDS_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_ALL_COMMANDS_BIT
    VK_PIPELINE_STAGE_2_ALL_COMMANDS_BIT

  - ### VK_PIPELINE_STAGE_ALL_GRAPHICS_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_ALL_GRAPHICS_BIT
    VK_PIPELINE_STAGE_2_ALL_GRAPHICS_BIT

  - ### VK_PIPELINE_STAGE_ALL_TRANSFER_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_ALL_TRANSFER_BIT
    VK_PIPELINE_STAGE_2_ALL_TRANSFER_BIT

  - ### VK_PIPELINE_STAGE_BLIT_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_BLIT_BIT
    VK_PIPELINE_STAGE_2_BLIT_BIT

  - ### VK_PIPELINE_STAGE_CLEAR_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_CLEAR_BIT
    VK_PIPELINE_STAGE_2_CLEAR_BIT

  - ### VK_PIPELINE_STAGE_CLEAR_BIT_KHR

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_CLEAR_BIT_KHR
    VK_PIPELINE_STAGE_2_CLEAR_BIT_KHR

  - ### VK_PIPELINE_STAGE_COLOR_ATTACHMENT_OUTPUT_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_COLOR_ATTACHMENT_OUTPUT_BIT
    VK_PIPELINE_STAGE_2_COLOR_ATTACHMENT_OUTPUT_BIT

  - ### VK_PIPELINE_STAGE_COMMAND_PREPROCESS_BIT_EXT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_COMMAND_PREPROCESS_BIT_EXT
    VK_PIPELINE_STAGE_2_COMMAND_PREPROCESS_BIT_EXT

  - ### VK_PIPELINE_STAGE_COMPUTE_SHADER_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_COMPUTE_SHADER_BIT
    VK_PIPELINE_STAGE_2_COMPUTE_SHADER_BIT

  - ### VK_PIPELINE_STAGE_COPY_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_COPY_BIT
    VK_PIPELINE_STAGE_2_COPY_BIT

  - ### VK_PIPELINE_STAGE_DRAW_INDIRECT_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_DRAW_INDIRECT_BIT
    VK_PIPELINE_STAGE_2_DRAW_INDIRECT_BIT

  - ### VK_PIPELINE_STAGE_EARLY_FRAGMENT_TESTS_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_EARLY_FRAGMENT_TESTS_BIT
    VK_PIPELINE_STAGE_2_EARLY_FRAGMENT_TESTS_BIT

  - ### VK_PIPELINE_STAGE_FRAGMENT_SHADER_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_FRAGMENT_SHADER_BIT
    VK_PIPELINE_STAGE_2_FRAGMENT_SHADER_BIT

  - ### VK_PIPELINE_STAGE_GEOMETRY_SHADER_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_GEOMETRY_SHADER_BIT
    VK_PIPELINE_STAGE_2_GEOMETRY_SHADER_BIT

  - ### VK_PIPELINE_STAGE_HOST_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_HOST_BIT
    VK_PIPELINE_STAGE_2_HOST_BIT

  - ### VK_PIPELINE_STAGE_INDEX_INPUT_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_INDEX_INPUT_BIT
    VK_PIPELINE_STAGE_2_INDEX_INPUT_BIT

  - ### VK_PIPELINE_STAGE_LATE_FRAGMENT_TESTS_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_LATE_FRAGMENT_TESTS_BIT
    VK_PIPELINE_STAGE_2_LATE_FRAGMENT_TESTS_BIT

  - ### VK_PIPELINE_STAGE_NONE

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_NONE
    VK_PIPELINE_STAGE_2_NONE

  - ### VK_PIPELINE_STAGE_PRE_RASTERIZATION_SHADERS_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_PRE_RASTERIZATION_SHADERS_BIT
    VK_PIPELINE_STAGE_2_PRE_RASTERIZATION_SHADERS_BIT

  - ### VK_PIPELINE_STAGE_RESOLVE_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_RESOLVE_BIT
    VK_PIPELINE_STAGE_2_RESOLVE_BIT

  - ### VK_PIPELINE_STAGE_TESSELLATION_CONTROL_SHADER_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_TESSELLATION_CONTROL_SHADER_BIT
    VK_PIPELINE_STAGE_2_TESSELLATION_CONTROL_SHADER_BIT

  - ### VK_PIPELINE_STAGE_TESSELLATION_EVALUATION_SHADER_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_TESSELLATION_EVALUATION_SHADER_BIT
    VK_PIPELINE_STAGE_2_TESSELLATION_EVALUATION_SHADER_BIT

  - ### VK_PIPELINE_STAGE_TRANSFER_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_TRANSFER_BIT
    VK_PIPELINE_STAGE_2_TRANSFER_BIT

  - ### VK_PIPELINE_STAGE_VERTEX_ATTRIBUTE_INPUT_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_VERTEX_ATTRIBUTE_INPUT_BIT
    VK_PIPELINE_STAGE_2_VERTEX_ATTRIBUTE_INPUT_BIT

  - ### VK_PIPELINE_STAGE_VERTEX_INPUT_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_VERTEX_INPUT_BIT
    VK_PIPELINE_STAGE_2_VERTEX_INPUT_BIT

  - ### VK_PIPELINE_STAGE_VERTEX_SHADER_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_VERTEX_SHADER_BIT
    VK_PIPELINE_STAGE_2_VERTEX_SHADER_BIT

  - ### VK_PIPELINE_STAGE_TOP_OF_PIPE_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_TOP_OF_PIPE_BIT
    VK_PIPELINE_STAGE_TOP_OF_PIPE_BIT

  - ### VK_PIPELINE_STAGE_BOTTOM_OF_PIPE_BIT

    public static final VulkanPipelineStageFlag VK_PIPELINE_STAGE_BOTTOM_OF_PIPE_BIT
    VK_PIPELINE_STAGE_BOTTOM_OF_PIPE_BIT

- ## Method Details

  - ### values

    public static VulkanPipelineStageFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanPipelineStageFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public long value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskLongType`
    Returns:
      The integer value of the constant